﻿/*
    Navigation/Title Area
    =====================
*/

.header-small .header-nav-small {
    background-color: #EAEAEA;
    color: #333;
    border: 0;
}

.header-nav-small span, .header-nav-small a {
    color: #216D93;
}


.navbar-header .title {
    font-family: 'EB Garamond', serif;
    font-size: 16px;
    line-height: 50px;
    color: #474747;
    padding-left: 7px;
}


.custom-header, .container > .navbar-header {
    background-color: #EAEAEA;
}

.custom-header {
    position: relative;
    padding-bottom: 30px;
}


    .custom-header h1 {
        text-align: center;
        margin-top: 20px;
        color: #474747;
    }

    .custom-header p {
        margin: 0 auto;
        text-align: center;
    }

.countdown {
    text-align: center;
}

    .countdown h4 {
        margin-bottom: 0;
    }

    .countdown .block {
        display: inline-block;
        margin: 0;
        width: 85px;
    }

    .countdown .text {
        color: #000;
        font-size: 20px;
        font-weight: 400;
        margin-top: 0px;
        margin-bottom: 10px;
        text-align: center;
    }

    .countdown .digit {
        color: #000;
        display: inline-block;
        font-size: 30px;
        line-height: 30px;
        font-weight: 100;
        margin: 0;
        text-align: center;
    }

    .countdown > p {
        margin-bottom: 10px;
        font-size: 14px;
        font-style: italic;
    }

.mobile-nav {
}

    .mobile-nav ul li a {
        color: #216D93;
    }


    .mobile-nav .request-list:before {
        font-family: icomoon;
        content: "\e901";
        font-size: 24px;
    }

    .mobile-nav #back-text {
        display: none;
        font-size: 12px;
        text-transform: uppercase;
        line-height: 13px;
        text-align: center;
        height: 50px;
        padding-top: 12px;
    }
/*
    Wine List Area
    =====================
*/

#fixed-h1 {
    position: relative;
    display: block;
    top: auto;
    clear: both;
    margin-top: 30px;
    box-shadow: none;
}

.filters-outer {
    box-shadow: none;
}

.header-small .items-layout-infinite {
    margin-top: 0;
}

.wine-list-outer {
    max-width: none;
}

    .wine-list-outer .item-table-layout {
    }

        .wine-list-outer .item-table-layout tr.header th {
            background: #EFEFEF;
            border-bottom: 2px solid black;
            padding-left: 6px;
        }

            .wine-list-outer .item-table-layout tr.header th h1 {
                line-height: 20px;
                margin: 0;
            }

        .wine-list-outer .item-table-layout tr.header-first {
            display: table-row !important;
        }

        .wine-list-outer .item-table-layout table {
            border-top: 1px solid #676767;
        }

        .wine-list-outer .item-table-layout tr.active {
            background: #eee;
        }

    .wine-list-outer .itc-7 {
        text-align: center;
    }

        .wine-list-outer .itc-7 select {
            font-size: 15px;
            line-height: 26px;
            width: 50px;
            float: left;
            background-color: #fff;
            background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg%20version%3D%221.1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20x%3D%220px%22%20y%3D%220px%22%20fill%3D%22%23555555%22%20%0A%09%20width%3D%2224px%22%20height%3D%2224px%22%20viewBox%3D%22-261%20145.2%2024%2024%22%20style%3D%22enable-background%3Anew%20-261%20145.2%2024%2024%3B%22%20xml%3Aspace%3D%22preserve%22%3E%0A%3Cpath%20d%3D%22M-245.3%2C156.1l-3.6-6.5l-3.7%2C6.5%20M-252.7%2C159l3.7%2C6.5l3.6-6.5%22%2F%3E%0A%3C%2Fsvg%3E");
            padding-right: 5px;
            padding-left: 12px;
            background-repeat: no-repeat;
            background-position: right center;
            -webkit-appearance: none;
            -moz-appearance: none;
            appearance: none;
        }

#cart {
    width: 360px;
    background: #f3f3f3;
    padding: 0 15px 10px;
}

    #cart > ul {
        overflow-y: auto;
        –webkit-overflow-scrolling: touch;
        z-index: 100;
        -webkit-transform: translateZ(0px);
        -webkit-transform: translate3d(0,0,0);
        -webkit-perspective: 1000;
    }

        #cart > ul:after {
            height: calc(100% + 1px);
        }

    #cart ul {
        margin: 0;
        padding-left: 0;
        list-style: none;
    }


        #cart ul::-webkit-scrollbar {
            -webkit-appearance: none;
        }

            #cart ul::-webkit-scrollbar:vertical {
                width: 12px;
            }

        #cart ul::-webkit-scrollbar-thumb {
            background-color: rgba(0, 0, 0, .5);
            border-radius: 10px;
            border: 2px solid #ffffff;
        }

        #cart ul::-webkit-scrollbar-track {
            border-radius: 10px;
            background-color: #ffffff;
        }

        #cart ul li {
            padding: 0 0 5px;
            line-height: 18px;
        }

            #cart ul li span.name {
                display: inline-block;
                width: calc(100% - 34px);
            }

            #cart ul li a {
                width: 30px;
                height: 30px;
                display: inline-block;
                padding: 1px 0 0 8px;
                vertical-align: top;
            }

            #cart ul li select {
                width: 50px;
                height: 26px;
                display: inline-block;
                padding: 1px 0 2px 8px;
                vertical-align: top;
                margin-top: -4px;
                background-color: #fff;
                background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg%20version%3D%221.1%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20x%3D%220px%22%20y%3D%220px%22%20fill%3D%22%23555555%22%20%0A%09%20width%3D%2224px%22%20height%3D%2224px%22%20viewBox%3D%22-261%20145.2%2024%2024%22%20style%3D%22enable-background%3Anew%20-261%20145.2%2024%2024%3B%22%20xml%3Aspace%3D%22preserve%22%3E%0A%3Cpath%20d%3D%22M-245.3%2C156.1l-3.6-6.5l-3.7%2C6.5%20M-252.7%2C159l3.7%2C6.5l3.6-6.5%22%2F%3E%0A%3C%2Fsvg%3E");
                background-repeat: no-repeat;
                background-position: right center;
                -webkit-appearance: none;
                -moz-appearance: none;
                appearance: none;
            }

    #cart .alert-danger {
        margin: 0;
        border-radius: 0;
    }

    #cart .note, .mobile-note {
        margin: 5px 0 0;
        font-size: 14px;
    }

    #cart ul.note, ul.mobile-note {
        padding-left: 15px;
        list-style: initial;
    }

        #cart ul.note li, ul.mobile-note li {
            line-height: 16px;
            padding-bottom: 5px;
        }

            #cart ul.note li span, ul.mobile-note li span {
                margin-left: -5px;
                display: inline-flex;
            }

ul.mobile-note {
    margin-top: 10px;
}

.about-sale {
    display: block;
    width: 100%;
    margin-top: 10px;
    border-bottom: 1px solid black;
    font-weight: normal;
}

#cart input {
    margin-top: 10px;
    border-radius: 0;
}

#cart button {
    border-radius: 0;
    width: 100%;
    margin-top: 10px;
}


/*
    Navigation/Title Area > 768px overrides
    =======================================
*/

@media (min-width: 768px) {
    .navbar > .container .header-nav-small .navbar-brand {
        background: url(/images/rare-wine-co-logo-small.png);
        background: url(/images/rare-wine-co-logo.svg), linear-gradient(transparent,transparent);
        background-repeat: no-repeat;
        width: 41px;
        height: 41px;
        text-indent: -9999px;
        overflow: hidden;
        margin-top: 2px;
        margin-left: 0;
        background-size: 41px 41px;
    }

    .header-nav-small {
        height: 45px;
        line-height: 45px;
    }

    .header-small {
        margin-top: 0;
    }

        .header-small .nav-outer {
            z-index: 999;
        }

    .navbar-nav > li:first-child {
        margin-right: 70px;
        width: 0;
        overflow: hidden;
    }

    .header-nav-inner {
        font-size: 10px;
        text-transform: uppercase;
    }

        .header-nav-inner .fa {
            font-size: 150%;
            margin-right: 5px;
            line-height: 30px;
        }

            .header-nav-inner .fa:before {
                font-family: icomoon;
                content: '\e901';
            }

    .navbar {
        min-height: 45px;
    }

    .sale-title {
        float: left;
        color: #333;
    }

        .sale-title span {
            color: #333;
        }

        .sale-title .divider {
            font-size: 20px;
            line-height: 20px;
            padding: 10px;
        }

        .sale-title .title {
            font-family: 'EB Garamond', serif;
            font-size: 14px;
            color: #474747;
        }

    .custom-header {
    }

        .custom-header p {
            max-width: 75%;
        }
}

/*
    Cart positioning on mobile
*/

@media only screen and (max-width: 767px) {
    #cart {
        visibility: collapse;
        position: fixed;
        top: 38px;
        left: 0;
        right: 0;
        margin: 0;
        bottom: 0;
        width: 100%;
    }

    .show-cart {
        position: fixed;
        overflow: hidden;
    }

        .show-cart #cart {
            visibility: visible;
        }

        .show-cart .mobile-nav .request-list:before {
            content: "\e5cd";
            font-size: 34px;
            line-height: 28px;
            font-weight: bold;
            margin-left: -4px;
        }

        .show-cart .mobile-nav ul li a .umbraco-cart-count, .show-cart .mobile-nav .request-list {
            display: none;
        }

        .show-cart .umbraco-view-cart {
            margin-right: 17px;
        }

        .show-cart #back-text {
            display: inline-block;
        }

    .about-sale {
        border-bottom:0;
        font-weight:bold;
        text-align:center;
    }
}

/*
    Wine List Area > 768px overrides 750/720
    =======================================
*/

@media only screen and (min-width: 768px) {

    .wine-list-outer {
        margin-top: 0;
        max-width: 470px;
    }


        .wine-list-outer .item-table-layout table {
            border-top: 0;
        }

        .wine-list-outer .items-layout-infinite, #fixed-h1 {
            width: 470px;
        }

        /* column sizes - adds up to 470px */
        .wine-list-outer .itc-2 {
            /*6.244.0*/
            width: 244px;
        }

        .wine-list-outer .itc-4 {
            /*0.75.4*/
            width: 75px;
            padding-right: 4px;
        }

        .wine-list-outer .itc-4-span {
            /*0.220.0*/
            width: 220px;
            text-align: right;
            padding-right: 0;
        }

        .wine-list-outer .itc-6 {
            /*0.91.0*/
            width: 91px;
        }

        .wine-list-outer .itc-7 {
            /*0.50.0*/
            width: 50px;
        }


    #cart {
        width: 220px;
        margin-top: 30px;
    }


        #cart.fixed {
            position: fixed;
            top: 0;
            margin-right: 15px;
        }
}

/*
    Wine List Area > 992px overrides 970/940
    =======================================
*/
@media only screen and (min-width: 992px) {
    .wine-list-outer {
        margin-top: 0;
        max-width: 616px;
    }

        .wine-list-outer .items-layout-infinite, #fixed-h1 {
            width: 616px;
        }

        /* column sizes - adds up to 616px*/
        .wine-list-outer .itc-2 {
            /*6.390.0*/
            width: 390px;
        }

        .wine-list-outer .itc-4 {
            /*0.75.4*/
            width: 75px;
            padding-right: 4px;
        }

        .wine-list-outer .itc-4-span {
            /*0.220.0*/
            width: 220px;
            text-align: right;
            padding-right: 0;
        }

        .wine-list-outer .itc-6 {
            /*0.91.0*/
            width: 91px;
        }

        .wine-list-outer .itc-7 {
            /*0.50.0*/
            width: 50px;
        }


    #cart {
        width: 293px;
    }
}


/*
    Wine List Area > 992px overrides 1200/1170
    =======================================
*/
@media only screen and (min-width: 1200px) {
    .wine-list-outer {
        margin-top: 0;
        max-width: 750px;
    }

        .wine-list-outer .items-layout-infinite, #fixed-h1 {
            width: 750px;
        }

        /* column sizes - adds up to 750px*/
        .wine-list-outer .itc-2 {
            /*6.524.0*/
            width: 524px;
        }

        .wine-list-outer .itc-4 {
            /*0.75.4*/
            width: 75px;
            padding-right: 4px;
        }

        .wine-list-outer .itc-4-span {
            /*0.220.0*/
            width: 220px;
            text-align: right;
            padding-right: 0;
        }

        .wine-list-outer .itc-6 {
            /*0.91.0*/
            width: 91px;
        }

        .wine-list-outer .itc-7 {
            /*0.50.0*/
            width: 50px;
        }

    #cart {
        width: 360px;
    }
}

#confirmation-modal {
}

    #confirmation-modal .modal-footer {
        text-align: center;
    }

        #confirmation-modal .modal-footer button {
            width: calc(50% - 5px);
            display: none;
        }

            #confirmation-modal .modal-footer button span {
                display: none;
            }

    #confirmation-modal .modal-body p {
        margin: 0;
    }

    #confirmation-modal.type-alert button.type-alert, #confirmation-modal.type-alert span.type-alert {
        display: inline-block;
    }

    #confirmation-modal.type-confirm button.type-confirm, #confirmation-modal.type-confirm span.type-confirm {
        display: inline-block;
    }

#cd-shadow-layer {
    position: fixed;
    min-height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    background: rgba(0,0,0, 0.6);
    cursor: pointer;
    z-index: 11;
    display: none;
}

    #cd-shadow-layer.is-visible {
        display: block;
        -webkit-animation: cd-fade-in 0.3s;
        -moz-animation: cd-fade-in 0.3s;
        -o-animation: cd-fade-in 0.3s;
        animation: cd-fade-in 0.3s;
    }
